Prerequisites Checks for HENNGE Directory Sync Tool

Target

For customers that wish to install the HENNGE Directory Sync Tool and synchronize users from the Active Directory (AD) onto the HENNGE Access Control.

Purpose

This article includes the information required to installed the HENNGE Directory Sync Tool.

Caution

This article was last updated on 2019 March, there may be changes made in the later versions.

Procedures

Installation Requirements

1. Client Side Requirements

1.1. A Windows Server machine of 64 bit that is managed by Active Directory and joins the Domain.

1.2. Make sure that the Windows Server machines in the Active Directory OS versions are all Windows Server 2008 R2 or above.

2. Software Requirements

2.1. .NET Framework 4.0 or above.

2.2. Windows PowerShell 3.0 or above.

2.3. The most updated version of Active Directory Module.

3. Network Requirements

3.1.  HTTPS (443) Port is opened for external communication.

3.2. There are no Proxy Server scripts running.

3.3. During connection, authentication is not required.

3.4. If the HENNGE Directory Sync Tool is not installed on the  Active Directory Domain Controller, please ensure that the Active Directory Domain Controller satisfies the Communication Port requirements mentioned within the article written by Microsoft below.

How to configure a firewall for Active Directory domains and trusts

4. Requirements for Active Directory Domain Controller

4.1. OS Version is one of Windows Server 2008R2・2012・2012R2・2016・2019.

4.2. Users on Active Directory have the [ unixUserPassword ] attribute.

4.3. Active Directory WEB Service is running.

 

          
Was this article helpful?

Frequently Asked Questions (FAQs)

Powered by Zendesk